Bug 1089811 - liborcus: Fails to build with Boost 1.67.0
liborcus: Fails to build with Boost 1.67.0
Status: RESOLVED FIXED
Classification: openSUSE
Product: openSUSE Tumbleweed
Classification: openSUSE
Component: LibreOffice
Current
Other Other
: P5 - None : Normal (vote)
: ---
Assigned To: Kohei Yoshida
E-mail List
:
Depends on:
Blocks: 1089801
  Show dependency treegraph
 
Reported: 2018-04-17 08:32 UTC by Adam Majer
Modified: 2019-08-18 14:40 UTC (History)
0 users

See Also:
Found By: ---
Services Priority:
Business Priority:
Blocker: ---
Marketing QA Status: ---
IT Deployment: ---


Attachments

Note You need to log in before you can comment on or make changes to this bug.
Description Adam Majer 2018-04-17 08:32:33 UTC
New Boost library has been released and unfortunately this package fails to build with it. The new boost library is already submitted to devel:libraries:c_c++/boost and will be submitted to openSUSE:Factory shortly.

https://build.opensuse.org/package/live_build_log/home:adamm:boost_test/liborcus/openSUSE_Tumbleweed/x86_64

> [  138s] sheet.cpp: In member function 'void orcus::spreadsheet::sheet::set_date_time(orcus::spreadsheet::row_t, orcus::spreadsheet::col_t, int, int, int, int, int, double)':
> [  138s] sheet.cpp:395:36: error: no matching function for call to 'boost::date_time::subsecond_duration<boost::posix_time::time_duration, 1000000>::subsecond_duration(double&)'
> [  138s]          posix_time::microseconds(ms)
> [  138s]                                     ^

The cause of this is change in Boost:DateTime that no longer accepts non-integer types. In the past, these types were implicitly cast down to integer values. Now this requires explicit cast.

https://svn.boost.org/trac10/ticket/11168
Comment 1 Adam Majer 2018-05-23 08:23:27 UTC
OBS sr#611492 to devel project fixes this issue
Comment 2 Adam Majer 2018-05-23 09:52:06 UTC
Fix submitted to Factory. Closing.
Comment 4 Swamp Workflow Management 2019-06-07 16:15:58 UTC
SUSE-SU-2019:1448-1: An update that solves one vulnerability and has 11 fixes is now available.

Category: security (moderate)
Bug References: 1089811,1116451,1121874,1123131,1123455,1124062,1124869,1127760,1127857,1128845,1135189,1135228
CVE References: CVE-2018-16858
Sources used:
SUSE Linux Enterprise Workstation Extension 12-SP4 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2, myspell-dictionaries-20190423-16.18.1
SUSE Linux Enterprise Workstation Extension 12-SP3 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2, myspell-dictionaries-20190423-16.18.1
SUSE Linux Enterprise Software Development Kit 12-SP4 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2
SUSE Linux Enterprise Software Development Kit 12-SP3 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2
SUSE Linux Enterprise Desktop 12-SP4 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2, myspell-dictionaries-20190423-16.18.1
SUSE Linux Enterprise Desktop 12-SP3 (src):    libixion-0.14.1-13.9.2, liborcus-0.14.1-10.12.2, libreoffice-6.2.3.2-43.49.1, libwps-0.4.10-10.13.2, myspell-dictionaries-20190423-16.18.1

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 5 Swamp Workflow Management 2019-07-18 19:11:26 UTC
SUSE-SU-2019:1894-1: An update that solves one vulnerability and has 11 fixes is now available.

Category: security (moderate)
Bug References: 1089811,1116451,1121874,1123131,1123455,1124062,1124869,1127760,1127857,1128845,1135189,1135228
CVE References: CVE-2018-16858
Sources used:
SUSE Linux Enterprise Workstation Extension 15-SP1 (src):    libixion-0.14.1-4.3.8, liborcus-0.14.1-3.3.8, myspell-dictionaries-20190423-3.9.7
SUSE Linux Enterprise Workstation Extension 15 (src):    libixion-0.14.1-4.3.8, liborcus-0.14.1-3.3.8, libreoffice-6.2.5.2-3.18.5, libwps-0.4.10-3.6.7, myspell-dictionaries-20190423-3.9.7
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15-SP1 (src):    libixion-0.14.1-4.3.8, liborcus-0.14.1-3.3.8, mdds-1_4-1.4.3-1.3.7, myspell-dictionaries-20190423-3.9.7
SUSE Linux Enterprise Module for Open Buildservice Development Tools 15 (src):    libixion-0.14.1-4.3.8, liborcus-0.14.1-3.3.8, libwps-0.4.10-3.6.7, mdds-1_4-1.4.3-1.3.7, myspell-dictionaries-20190423-3.9.7
SUSE Linux Enterprise Module for Basesystem 15-SP1 (src):    myspell-dictionaries-20190423-3.9.7
SUSE Linux Enterprise Module for Basesystem 15 (src):    myspell-dictionaries-20190423-3.9.7

NOTE: This line indicates an update has been released for the listed product(s). At times this might be only a partial fix. If you have questions please reach out to maintenance coordination.
Comment 6 Swamp Workflow Management 2019-08-18 13:45:50 UTC
openSUSE-SU-2019:1929-1: An update that solves one vulnerability and has 11 fixes is now available.

Category: security (moderate)
Bug References: 1089811,1116451,1121874,1123131,1123455,1124062,1124869,1127760,1127857,1128845,1135189,1135228
CVE References: CVE-2018-16858
Sources used:
openSUSE Leap 15.1 (src):    libixion-0.14.1-lp151.4.3.1, liborcus-0.14.1-lp151.3.3.1, libreoffice-6.2.5.2-lp151.3.3.4, libwps-0.4.10-lp151.2.3.1, mdds-1_4-1.4.3-lp151.2.1, myspell-dictionaries-20190423-lp151.2.3.1
openSUSE Leap 15.0 (src):    libixion-0.14.1-lp150.3.3.1, liborcus-0.14.1-lp150.2.3.1, libreoffice-6.2.5.2-lp150.2.13.3, libwps-0.4.10-lp150.7.1, mdds-1_4-1.4.3-lp150.2.1, myspell-dictionaries-20190423-lp150.2.10.1